<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AssignDriverPoiItem StructType
 * @subpackage Structs
 */
class AssignDriverPoiItem extends AbstractStructBase
{
    /**
     * The IdentifierDriver
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Identifier
     */
    public $IdentifierDriver;
    /**
     * The PoiList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPoiItem
     */
    public $PoiList;
    /**
     * Constructor method for AssignDriverPoiItem
     * @uses AssignDriverPoiItem::setIdentifierDriver()
     * @uses AssignDriverPoiItem::setPoiList()
     * @param \StructType\Identifier $identifierDriver
     * @param \ArrayType\ArrayOfPoiItem $poiList
     */
    public function __construct(\StructType\Identifier $identifierDriver = null, \ArrayType\ArrayOfPoiItem $poiList = null)
    {
        $this
            ->setIdentifierDriver($identifierDriver)
            ->setPoiList($poiList);
    }
    /**
     * Get IdentifierDriver value
     * @return \StructType\Identifier|null
     */
    public function getIdentifierDriver()
    {
        return $this->IdentifierDriver;
    }
    /**
     * Set IdentifierDriver value
     * @param \StructType\Identifier $identifierDriver
     * @return \StructType\AssignDriverPoiItem
     */
    public function setIdentifierDriver(\StructType\Identifier $identifierDriver = null)
    {
        $this->IdentifierDriver = $identifierDriver;
        return $this;
    }
    /**
     * Get PoiList value
     * @return \ArrayType\ArrayOfPoiItem|null
     */
    public function getPoiList()
    {
        return $this->PoiList;
    }
    /**
     * Set PoiList value
     * @param \ArrayType\ArrayOfPoiItem $poiList
     * @return \StructType\AssignDriverPoiItem
     */
    public function setPoiList(\ArrayType\ArrayOfPoiItem $poiList = null)
    {
        $this->PoiList = $poiList;
        return $this;
    }
}
